このコンテンツは選択した言語では利用できません。
Chapter 2. Appendix A: Red Hat Quay Application Programming Interface (API)
This API allows you to perform many of the operations required to work with Red Hat Quay repositories, users, and organizations.
2.1. appspecifictokens : Manages app specific tokens for the current user. リンクのコピーリンクがクリップボードにコピーされました!
2.1.1. get /api/v1/user/apptoken リンクのコピーリンクがクリップボードにコピーされました!
2.1.1.1. Implementation notes リンクのコピーリンクがクリップボードにコピーされました!
Lists the app specific tokens for the user.
2.1.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
| expiring | true/false | If true, only returns those tokens expiring soon | query | boolean |
2.1.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.1.2. post /api/v1/user/apptoken リンクのコピーリンクがクリップボードにコピーされました!
2.1.2.1. Implementation notes リンクのコピーリンクがクリップボードにコピーされました!
Create a new app specific token for user.
2.1.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| body | required | Request body contents | body |
|
2.1.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.1.3. get /api/v1/user/apptoken/{token_uuid} リンクのコピーリンクがクリップボードにコピーされました!
2.1.3.1. Implementation notes リンクのコピーリンクがクリップボードにコピーされました!
Returns a specific app token for the user.
2.1.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
| token_uuid | required | The UUID of the app specific token | path | string |
2.1.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.1.4. delete /api/v1/user/apptoken/{token_uuid} リンクのコピーリンクがクリップボードにコピーされました!
2.1.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Revokes a specific app token for the user.
2.1.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
| token_uuid | required | The UUID of the app specific token | path | string |
2.1.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.2. build : Create, list, cancel and get status/logs of repository builds リンクのコピーリンクがクリップボードにコピーされました!
2.2.1. get /api/v1/repository/{repository}/build/{build_uuid}/status リンクのコピーリンクがクリップボードにコピーされました!
2.2.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Return the status for the builds specified by the build uuids.
2.2.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
| build_uuid | required | The UUID of the build | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.2.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.2.2. get /api/v1/repository/{repository}/build/{build_uuid}/logs リンクのコピーリンクがクリップボードにコピーされました!
2.2.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Return the build logs for the build specified by the build uuid.
2.2.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
| build_uuid | required | The UUID of the build | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.2.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.2.3. get /api/v1/repository/{repository}/build/{build_uuid} リンクのコピーリンクがクリップボードにコピーされました!
2.2.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Returns information about a build.
2.2.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
| build_uuid | required | The UUID of the build | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.2.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.2.4. delete /api/v1/repository/{repository}/build/{build_uuid} リンクのコピーリンクがクリップボードにコピーされました!
2.2.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Cancels a repository build.
2.2.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
| build_uuid | required | The UUID of the build | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.2.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.2.5. get /api/v1/repository/{repository}/build/ リンクのコピーリンクがクリップボードにコピーされました!
2.2.5.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get the list of repository builds.
2.2.5.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| since | Returns all builds since the given unix timecode | query | integer | |
| limit | The maximum number of builds to return | query | integer |
2.2.5.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.2.6. post /api/v1/repository/{repository}/build/ リンクのコピーリンクがクリップボードにコピーされました!
2.2.6.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Request that a repository be built and pushed from the specified input.
2.2.6.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.2.6.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.3. discovery : API discovery information リンクのコピーリンクがクリップボードにコピーされました!
2.3.1. get /api/v1/discovery リンクのコピーリンクがクリップボードにコピーされました!
2.3.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List all of the API endpoints available in the swagger API format.
2.3.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
| internal | true / false | Whether to include internal APIs. | query | boolean |
2.3.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.4. error : Error details API リンクのコピーリンクがクリップボードにコピーされました!
2.4.1. get /api/v1/error/{error_type} リンクのコピーリンクがクリップボードにコピーされました!
2.4.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get a detailed description of the error
2.4.1.2. Response Content Type: application/json リンクのコピーリンクがクリップボードにコピーされました!
2.4.1.3. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| error_type | required | The error code identifying the type of error. | path | string |
2.4.1.4. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.5. globalmessages : Messages API リンクのコピーリンクがクリップボードにコピーされました!
2.5.1. get /api/v1/messages リンクのコピーリンクがクリップボードにコピーされました!
2.5.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Return a super user’s messages
2.5.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| No parameters |
2.5.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.5.2. post /api/v1/messages リンクのコピーリンクがクリップボードにコピーされました!
2.5.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Create a message.
2.5.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.5.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.5.3. delete /api/v1/messages/{uuid} リンクのコピーリンクがクリップボードにコピーされました!
2.5.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Delete a message.
2.5.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| uuid | required | path | string |
2.5.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.6. image : List and lookup repository images リンクのコピーリンクがクリップボードにコピーされました!
2.6.1. get /api/v1/repository/{repository}/image/{image_id} リンクのコピーリンクがクリップボードにコピーされました!
2.6.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get the information available for the specified image.
2.6.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| image_id | required | The Docker image ID | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.6.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.6.2. get /api/v1/repository/{repository}/image/ リンクのコピーリンクがクリップボードにコピーされました!
2.6.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the images for the specified repository.
2.6.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.6.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.7. logs : Access usage logs for organizations or repositories リンクのコピーリンクがクリップボードにコピーされました!
2.7.1. get /api/v1/user/aggregatelogs リンクのコピーリンクがクリップボードにコピーされました!
2.7.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Returns the aggregated logs for the current user.
2.7.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| performer | Username for which to filter logs | query | string | |
| endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | query | string | |
| starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | query | string |
2.7.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.7.2. post /api/v1/user/exportlogs リンクのコピーリンクがクリップボードにコピーされました!
2.7.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Returns the aggregated logs for the current user.
2.7.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | query |
| |
| starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | query |
| |
| body | required | Request body contents. | body |
|
2.7.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.7.3. get /api/v1/user/logs リンクのコピーリンクがクリップボードにコピーされました!
2.7.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the logs for the current user.
2.7.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| next_page | The page token for the next page | query | string | |
| performer | Username for which to filter logs | query | string | |
| endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | query | string | |
| starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | query | string |
2.7.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.7.4. get /api/v1/organization/{orgname}/aggregatelogs リンクのコピーリンクがクリップボードにコピーされました!
2.7.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Gets the aggregated logs for the specified organization.
2.7.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| performer | Username for which to filter logs | query | string | |
| endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | query | string | |
| starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | query | string |
2.7.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.7.5. post /api/v1/organization/{orgname}/exportlogs リンクのコピーリンクがクリップボードにコピーされました!
2.7.5.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Exports the logs for the specified organization.
2.7.5.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | query |
| |
| starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | query |
| |
| body | required | Request body contents. | body |
|
2.7.5.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.7.6. get /api/v1/organization/{orgname}/logs リンクのコピーリンクがクリップボードにコピーされました!
2.7.6.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the logs for the specified organization.
2.7.6.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| next_page | The page token for the next page | query | string | |
| performer | Username for which to filter logs | query | string | |
| endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | query | string | |
| starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | query | string |
2.7.6.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.7.7. get /api/v1/repository/{repository}/aggregatelogs リンクのコピーリンクがクリップボードにコピーされました!
2.7.7.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Returns the aggregated logs for the specified repository.
2.7.7.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | query | string | |
| starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | query | string |
2.7.7.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.7.8. post /api/v1/repository/{repository}/exportlogs リンクのコピーリンクがクリップボードにコピーされました!
2.7.8.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Queues an export of the logs for the specified repository.
2.7.8.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | query |
| |
| starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | query |
| |
| body | required | Request body contents. | body |
|
2.7.8.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.7.9. get /api/v1/repository/{repository}/logs リンクのコピーリンクがクリップボードにコピーされました!
2.7.9.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the logs for the specified repository.
2.7.9.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| next_page | The page token for the next page | query | string | |
| endtime | Latest time for logs. Format: "%m/%d/%Y" in UTC. | query | string | |
| starttime | Earliest time for logs. Format: "%m/%d/%Y" in UTC. | query | string |
2.7.9.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.8. manifest : Manage the manifests of a repository リンクのコピーリンクがクリップボードにコピーされました!
2.8.1. get /api/v1/repository/{repository}/manifest/{manifestref}/labels/{labelid} リンクのコピーリンクがクリップボードにコピーされました!
2.8.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Retrieves the label with the specific ID under the manifest.
2.8.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| labelid | required | The ID of the label | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| manifestref | required | The digest of the manifest | path | string |
2.8.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.8.2. delete /api/v1/repository/{repository}/manifest/{manifestref}/labels/{labelid} リンクのコピーリンクがクリップボードにコピーされました!
2.8.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Deletes an existing label from a manifest.
2.8.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| labelid | required | The ID of the label | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| manifestref | required | The digest of the manifest | path | string |
2.8.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.8.3. get /api/v1/repository/{repository}/manifest/{manifestref}/labels リンクのコピーリンクがクリップボードにコピーされました!
2.8.3.1. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| manifestref | required | The digest of the manifest | path | string |
| filter | If specified, only labels matching the given prefix will be returned | query | string |
2.8.3.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.8.4. post /api/v1/repository/{repository}/manifest/{manifestref}/labels リンクのコピーリンクがクリップボードにコピーされました!
2.8.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Adds a new label into the tag manifest.
2.8.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| manifestref | required | The digest of the manifest | path |
|
| body | Request body contents. | query |
|
2.8.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.8.5. get /api/v1/repository/{repository}/manifest/{manifestref} リンクのコピーリンクがクリップボードにコピーされました!
2.8.5.1. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| manifestref | required | The digest of the manifest | path | string |
2.8.5.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9. mirror : Configure and synchronize mirror repositories リンクのコピーリンクがクリップボードにコピーされました!
2.9.1. post /api/v1/repository/{repository}/mirror/sync-cancel リンクのコピーリンクがクリップボードにコピーされました!
2.9.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Update the sync_status for a given Repository’s mirroring configuration.
2.9.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | Required | The full path of the repository. e.g. namespace/name | path | string |
2.9.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.2. post /api/v1/repository/{repository}/mirror/sync-now リンクのコピーリンクがクリップボードにコピーされました!
2.9.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Update the sync_status for a given Repository’s mirroring configuration.
2.9.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | Required | The full path of the repository. e.g. namespace/name | path | string |
2.9.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.3. get /api/v1/repository/{repository}/mirror リンクのコピーリンクがクリップボードにコピーされました!
2.9.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Return the Mirror configuration for a given Repository.
2.9.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | Required | The full path of the repository. e.g. namespace/name | path | string |
2.9.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.4. put /api/v1/repository/{repository}/mirror リンクのコピーリンクがクリップボードにコピーされました!
2.9.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Allow users to modifying the repository’s mirroring configuration.
2.9.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | Required | The full path of the repository. e.g. namespace/name | path |
|
| body | required | Request body contents. | body |
|
2.9.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.9.5. post /api/v1/repository/{repository}/mirror リンクのコピーリンクがクリップボードにコピーされました!
2.9.5.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Create a RepoMirrorConfig for a given Repository.
2.9.5.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | Required | The full path of the repository. e.g. namespace/name | path |
|
| body | required | Request body contents. | body |
|
2.9.5.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10. organization : Manage organizations, members, and OAuth applications リンクのコピーリンクがクリップボードにコピーされました!
2.10.1. post /api/v1/organization/ リンクのコピーリンクがクリップボードにコピーされました!
2.10.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Create a new organization.
2.10.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.10.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
fart
2.10.2. get /api/v1/organization/{orgname}/collaborators リンクのコピーリンクがクリップボードにコピーされました!
2.10.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List outside collaborators of the specified organization.
2.10.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
2.10.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.3. get /api/v1/organization/{orgname}/applications/{client_id} リンクのコピーリンクがクリップボードにコピーされました!
2.10.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Retrieves the application with the specified client_id under the specified organization.
2.10.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| client_id | required | The OAuth client ID | path | string |
2.10.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.4. put /api/v1/organization/{orgname}/applications/{client_id} リンクのコピーリンクがクリップボードにコピーされました!
2.10.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Updates an application under this organization.
2.10.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| client_id | required | The OAuth client ID | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.10.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.5. delete /api/v1/organization/{orgname}/applications/{client_id} リンクのコピーリンクがクリップボードにコピーされました!
2.10.5.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Deletes the application under this organization.
2.10.5.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| client_id | required | The OAuth client ID | path | string |
2.10.5.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.6. get /api/v1/organization/{orgname}/applications リンクのコピーリンクがクリップボードにコピーされました!
2.10.6.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the applications for the specified organization
2.10.6.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
2.10.6.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.7. post /api/v1/organization/{orgname}/applications リンクのコピーリンクがクリップボードにコピーされました!
2.10.7.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Creates a new application under this organization.
2.10.7.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.10.7.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.8. get /api/v1/organization/{orgname}/members/{membername} リンクのコピーリンクがクリップボードにコピーされました!
2.10.8.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Retrieves the details of a member of the organization.
2.10.8.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| membername | required | The username of the organization member | path | string |
| orgname | required | The name of the organization | path | string |
2.10.8.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.9. delete /api/v1/organization/{orgname}/members/{membername} リンクのコピーリンクがクリップボードにコピーされました!
2.10.9.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Removes a member from an organization, revoking all its repository priviledges and removing it from all teams in the organization.
2.10.9.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| membername | required | The username of the organization member | path | string |
| orgname | required | The name of the organization | path | string |
2.10.9.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.10. get /api/v1/organization/{orgname}/members リンクのコピーリンクがクリップボードにコピーされました!
2.10.10.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the human members of the specified organization.
2.10.10.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
2.10.10.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.11. get /api/v1/organization/{orgname} リンクのコピーリンクがクリップボードにコピーされました!
2.10.11.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get the details for the specified organization
2.10.11.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
2.10.11.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.12. put /api/v1/organization/{orgname} リンクのコピーリンクがクリップボードにコピーされました!
2.10.12.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Change the details for the specified organization.
2.10.12.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.10.12.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.13. delete /api/v1/organization/{orgname} リンクのコピーリンクがクリップボードにコピーされました!
2.10.13.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Deletes the specified organization.
2.10.13.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
2.10.13.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.10.14. get /api/v1/app/{client_id} リンクのコピーリンクがクリップボードにコピーされました!
2.10.14.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get information on the specified application.
2.10.14.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| client_id | required | The OAuth client ID | path | string |
2.10.14.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.11. permission : Manage repository permissions リンクのコピーリンクがクリップボードにコピーされました!
2.11.1. get /api/v1/repository/{repository}/permissions/user/{username}/transitive リンクのコピーリンクがクリップボードにコピーされました!
2.11.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get the fetch the permission for the specified user.
2.11.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| username | required | The name of the user to which the permissions apply | path | string |
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.11.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.11.2. get /api/v1/repository/{repository}/permissions/user/{username} リンクのコピーリンクがクリップボードにコピーされました!
2.11.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get the permission for the specified user.
2.11.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| username | required | The username of the user to which the permission applies | path | string |
2.11.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.11.3. put /api/v1/repository/{repository}/permissions/user/{username} リンクのコピーリンクがクリップボードにコピーされました!
2.11.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Update the perimssions for an existing repository.
2.11.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| username | required | The username of the user to which the permission applies | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.11.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.11.4. delete /api/v1/repository/{repository}/permissions/user/{username} リンクのコピーリンクがクリップボードにコピーされました!
2.11.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Delete the permission for the user.
2.11.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| username | required | The username of the user to which the permission applies | path | string |
2.11.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.11.5. get /api/v1/repository/{repository}/permissions/team/{teamname} リンクのコピーリンクがクリップボードにコピーされました!
2.11.5.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Fetch the permission for the specified team.
2.11.5.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| teamname | required | The name of the team to which the permission applies | path | string |
2.11.5.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.11.6. put /api/v1/repository/{repository}/permissions/team/{teamname} リンクのコピーリンクがクリップボードにコピーされました!
2.11.6.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Update the existing team permission.
2.11.6.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository, e.g. namespace/name | path |
|
| teamname | required | The name of the team to which the permission applies | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.11.6.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.11.7. delete /api/v1/repository/{repository}/permissions/team/{teamname} リンクのコピーリンクがクリップボードにコピーされました!
2.11.7.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Delete the permission for the specified team.
2.11.7.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| teamname | required | The name of the team to which the permission applies | path |
2.11.7.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.11.8. get /api/v1/repository/{repository}/permissions/team/ リンクのコピーリンクがクリップボードにコピーされました!
2.11.8.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List all team permission.
2.11.8.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.11.8.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.11.9. get /api/v1/repository/{repository}/permissions/user/ リンクのコピーリンクがクリップボードにコピーされました!
2.11.9.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List all user permissions.
2.11.9.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.11.9.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.12. prototype : Manage default permissions added to repositories リンクのコピーリンクがクリップボードにコピーされました!
2.12.1. delete /api/v1/organization/{orgname}/prototypes/{prototypeid} リンクのコピーリンクがクリップボードにコピーされました!
2.12.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Delete an existing permission prototype.
2.12.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| prototypeid | required | The ID of the prototype | path | string |
2.12.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.12.2. put /api/v1/organization/{orgname}/prototypes/{prototypeid} リンクのコピーリンクがクリップボードにコピーされました!
2.12.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Update the role of an existing permission prototype.
2.12.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| prototypeid | required | The ID of the prototype | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.12.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.12.3. get /api/v1/organization/{orgname}/prototypes リンクのコピーリンクがクリップボードにコピーされました!
2.12.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the existing prototypes for this organization.
2.12.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
2.12.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.12.4. post /api/v1/organization/{orgname}/prototypes リンクのコピーリンクがクリップボードにコピーされました!
2.12.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Create a new permission prototype.
2.12.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.12.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.13. repository : List, create, and manage repositories リンクのコピーリンクがクリップボードにコピーされました!
2.13.1. get /api/v1/repository リンクのコピーリンクがクリップボードにコピーされました!
2.13.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Fetch the list of repositories visible to the current user under a variety of situations.
2.13.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| next_page | The page token for the next page | path | string | |
| repo_kind | The kind of repositories to return | path | string | |
| popularity | true / false | Whether to include the repository’s popularity metric. | query | boolean |
| last_modified | true / false | Whether to include when the repository was last modified. | query | boolean |
| public | true / false | Adds any repositories visible to the user by virtue of being public | query | boolean |
| starred | true / false | Filters the repositories returned to those starred by the user | query | boolean |
| namespace | Filters the repositories returned to this namespace | query | string |
2.13.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.13.2. post /api/v1/repository リンクのコピーリンクがクリップボードにコピーされました!
2.13.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Create a new repository.
2.13.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.13.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.13.3. post /api/v1/repository/{repository}/changevisibility リンクのコピーリンクがクリップボードにコピーされました!
2.13.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Change the visibility of a repository.
2.13.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.13.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.13.4. get /api/v1/repository/{repository} リンクのコピーリンクがクリップボードにコピーされました!
2.13.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Fetch the specified repository.
2.13.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path | string |
| includeTags | true / false | Whether to include repository tags | query | boolean |
| includeStats | true / false | Whether to include action statistics | query | boolean |
2.13.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.13.5. put /api/v1/repository/{repository} リンクのコピーリンクがクリップボードにコピーされました!
2.13.5.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Update the description in the specified repository.
2.13.5.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.13.5.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.13.6. delete /api/v1/repository/{repository} リンクのコピーリンクがクリップボードにコピーされました!
2.13.6.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Delete a repository.
2.13.6.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.13.6.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14. repositorynotification : List, create, and manage repository events/notifications リンクのコピーリンクがクリップボードにコピーされました!
2.14.1. post /api/v1/repository/{repository}/notification/{uuid}/test リンクのコピーリンクがクリップボードにコピーされました!
2.14.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Queues a test notification for this repository.
2.14.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| uuid | required | The UUID of the notification | path | string |
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.14.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.2. get /api/v1/repository/{repository}/notification/{uuid} リンクのコピーリンクがクリップボードにコピーされました!
2.14.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get information for the specified notification.
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| uuid | required | The UUID of the notification | path | string |
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.14.2.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.3. post /api/v1/repository/{repository}/notification/{uuid} リンクのコピーリンクがクリップボードにコピーされました!
2.14.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Resets repository notification to 0 failures.
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| uuid | required | The UUID of the notification | path | string |
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.14.3.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.4. delete /api/v1/repository/{repository}/notification/{uuid} リンクのコピーリンクがクリップボードにコピーされました!
2.14.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Deletes the specified notification.
2.14.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| uuid | required | The UUID of the notification | path | string |
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.14.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.5. get /api/v1/repository/{repository}/notification/ リンクのコピーリンクがクリップボードにコピーされました!
2.14.5.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the notifications for the specified repository.
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.14.5.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.14.6. post /api/v1/repository/{repository}/notification/ リンクのコピーリンクがクリップボードにコピーされました!
2.14.6.1. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.14.6.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15. robot : Manage user and organization robot accounts リンクのコピーリンクがクリップボードにコピーされました!
2.15.1. get /api/v1/user/robots リンクのコピーリンクがクリップボードにコピーされました!
2.15.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the available robots for the user.
2.15.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| limit | If specified, the number of robots to return. | query | integer | |
| token | true / false | If false, the robot’s token is not returned. | query | boolean |
| permissions | true / false | Whether to include repositories and teams in which the robots have permission. | query | boolean |
2.15.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.2. get /api/v1/organization/{orgname}/robots/{robot_shortname}/permissions リンクのコピーリンクがクリップボードにコピーされました!
2.15.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Returns the list of repository permissions for the org’s robot.
2.15.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path | string |
2.15.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.3. post /api/v1/organization/{orgname}/robots/{robot_shortname}/regenerate リンクのコピーリンクがクリップボードにコピーされました!
2.15.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Regenerates the token for an organization robot.
2.15.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path | string |
2.15.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.4. get /api/v1/user/robots/{robot_shortname}/permissions リンクのコピーリンクがクリップボードにコピーされました!
2.15.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Returns the list of repository permissions for the user’s robot.
2.15.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path | string |
2.15.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.5. post /api/v1/user/robots/{robot_shortname}/regenerate リンクのコピーリンクがクリップボードにコピーされました!
2.15.5.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Regenerates the token for a user’s robot.
2.15.5.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path | string |
2.15.5.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.6. get /api/v1/organization/{orgname}/robots/{robot_shortname} リンクのコピーリンクがクリップボードにコピーされました!
2.15.6.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Returns the organization’s robot with the specified name.
2.15.6.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path | string |
2.15.6.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.7. put /api/v1/organization/{orgname}/robots/{robot_shortname} リンクのコピーリンクがクリップボードにコピーされました!
2.15.7.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Create a new robot in the organization.
2.15.7.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path |
|
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.15.7.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.8. delete /api/v1/organization/{orgname}/robots/{robot_shortname} リンクのコピーリンクがクリップボードにコピーされました!
2.15.8.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Delete an existing organization robot.
2.15.8.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path | string |
2.15.8.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.9. get /api/v1/organization/{orgname}/robots リンクのコピーリンクがクリップボードにコピーされました!
2.15.9.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the organization’s robots.
2.15.9.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| orgname | required | The name of the organization | path | string |
| limit | If specified, the number of robots to return | query | integer | |
| token | true / false | If false, the robot’s token is not returned. | query | boolean |
| permission | true / false | Whether to include repostories and teams in which the robots have permission. | query | boolean |
2.15.9.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.10. get /api/v1/user/robots/{robot_shortname} リンクのコピーリンクがクリップボードにコピーされました!
2.15.10.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Returns the user’s robot with the specified name.
2.15.10.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path |
|
2.15.10.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.11. put /api/v1/user/robots/{robot_shortname} リンクのコピーリンクがクリップボードにコピーされました!
2.15.11.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Create a new user robot with the specified name.
2.15.11.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.15.11.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.15.12. delete /api/v1/user/robots/{robot_shortname} リンクのコピーリンクがクリップボードにコピーされました!
2.15.12.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Delete an existing robot.
2.15.12.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| robot_shortname | required | The short name for the robot, without any user or organization prefix | path |
|
2.15.12.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.16. search : Conduct searches against all registry context リンクのコピーリンクがクリップボードにコピーされました!
2.16.1. get /api/v1/find/repositories リンクのコピーリンクがクリップボードにコピーされました!
2.16.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get a list of apps and repositories that match the specified query.
2.16.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| includeUsage | true/false | Whether to include usage metadata | query | boolean |
| page | The page. | query | integer | |
| query | The search query | query | string |
2.16.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.16.2. get /api/v1/find/all リンクのコピーリンクがクリップボードにコピーされました!
2.16.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get a list of entities and resources that match the specified query.
2.16.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| query | The search query. | query | string |
2.16.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.16.3. get /api/v1/entities/{prefix} リンクのコピーリンクがクリップボードにコピーされました!
2.16.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get a list of entities that match the specified prefix.
2.16.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| prefix | required | path | string | |
| includeOrgs | true / false | Whether to include orgs names. | query | boolean |
| includeTeams | true / false | Whether to include orgs names. | query | boolean |
| namespace | Namespace to use when querying for org entities. | query | string |
2.16.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17. superuser : Superuser API リンクのコピーリンクがクリップボードにコピーされました!
2.17.1. get /api/vi/superuser/users/ リンクのコピーリンクがクリップボードにコピーされました!
2.17.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Returns a list of all users in the system.
2.17.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| disabled | If false, only enabled users will be returned. | query | boolean |
2.17.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.2. post /api/vi/superuser/users/ リンクのコピーリンクがクリップボードにコピーされました!
2.17.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Creates a new user.
2.17.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| body | required | Request body contents. | body |
|
2.17.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.3. get /api/vi/superuser/keys/ リンクのコピーリンクがクリップボードにコピーされました!
2.17.3.1. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| No parameters |
2.17.3.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.4. post /api/vi/superuser/keys リンクのコピーリンクがクリップボードにコピーされました!
2.17.4.1. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| body | required | Request body contents. | body |
|
2.17.4.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.5. delete /api/vi/superuser/organizations/{name} リンクのコピーリンクがクリップボードにコピーされました!
2.17.5.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Deletes the specified organization.
2.17.5.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| name | required | The name of the organization being managed | path | string |
2.17.5.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.6. put /api/vi/superuser/organizations/{name} リンクのコピーリンクがクリップボードにコピーされました!
2.17.6.1. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| name | required | The name of the organization being managed | path |
|
| body | required | Request body contents. | body |
|
2.17.6.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.7. post /api/vi/superuser/approvedkeys/{kid} リンクのコピーリンクがクリップボードにコピーされました!
2.17.7.1. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| kid | required | The unique identifier for a service key | path |
|
| body | required | Request body contents. | body |
|
2.17.7.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.8. get /api/vi/superuser/keys/{kid} リンクのコピーリンクがクリップボードにコピーされました!
2.17.8.1. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| kid | required | The unique identifier for a service key | path | string |
2.17.8.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.9. put /api/vi/superuser/keys/{kid} リンクのコピーリンクがクリップボードにコピーされました!
2.17.9.1. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| kid | required | The unique identifier for a service key | path |
|
| body | required | Request body contents. | body |
|
2.17.9.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.10. delete /api/vi/superuser/keys/{keys} リンクのコピーリンクがクリップボードにコピーされました!
2.17.10.1. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| kid | required | The unique identifier for a service key | path | string |
2.17.10.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.11. get /api/vi/superuser/{build_uuid}/status リンクのコピーリンクがクリップボードにコピーされました!
2.17.11.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Return the status for the builds specified by the build uuids.
2.17.11.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| build_uuid | required | The UUID of the build | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.17.11.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.12. get /api/vi/superuser/{build_uuid}/build リンクのコピーリンクがクリップボードにコピーされました!
2.17.12.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Returns information about a build.
2.17.12.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| build_uuid | required | The UUID of the build | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.17.12.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.17.13. get /api/vi/superuser/{build_uuid}/logs リンクのコピーリンクがクリップボードにコピーされました!
2.17.13.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Return the build logs for the build specified by the build uuid.
2.17.13.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| build_uuid | required | The UUID of the build | path | string |
2.17.13.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.18. tag : Manage the tags of a repository リンクのコピーリンクがクリップボードにコピーされました!
2.18.1. post /api/v1/repository/{repository}/tag/{tag}/restore リンクのコピーリンクがクリップボードにコピーされました!
2.18.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Restores a repository tag back to a previous image in the repository.
2.18.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| tag | required | The name of the tag | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.18.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.18.2. get /api/v1/repository/{repository}/tag/{tag}/images リンクのコピーリンクがクリップボードにコピーされました!
2.18.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the images for the specified repository tag.
2.18.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| tag | required | The name of the tag | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| Owned | true / false | If specified, only images wholely owned by this tag are returned. | query | boolean |
2.18.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.18.3. delete /api/v1/repository/{repository}/tag/{tag} リンクのコピーリンクがクリップボードにコピーされました!
2.18.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Delete the specified repository tag.
2.18.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| tag | required | The name of the tag | path | string |
2.18.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.18.4. put /api/v1/repository/{repository}/tag/{tag} リンクのコピーリンクがクリップボードにコピーされました!
2.18.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Change which image a tag points to or create a new tag.
2.18.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| tag | required | The name of the tag | path |
|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.18.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.18.5. get /api/v1/repository/{repository}/tag/ リンクのコピーリンクがクリップボードにコピーされました!
2.18.5.1. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| onlyActiveTags | true / false | Filter to only active tags. | query | boolean |
| page | Page index for the results. Default 1. | query | integer | |
| limit | Limit to the number of results to return per page. Max 100. | query | integer | |
| specificTag | Filters the tags to the specific tag. | query | string |
2.18.5.2. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19. team : Create, list and manage an organization’s teams. リンクのコピーリンクがクリップボードにコピーされました!
2.19.1. get /api/v1/organization/{orgname}/team/{teamname}/permissions リンクのコピーリンクがクリップボードにコピーされました!
2.19.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Returns the list of repository permissions for the org’s team.
2.19.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
| orgname | required | The name of the organization | path | string |
| teamname | required | The name of the team | path | string |
2.19.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.2. delete /api/v1/organization/{orgname}/team/{teamname}/members/{membername} リンクのコピーリンクがクリップボードにコピーされました!
2.19.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Delete a member of a team. If the user is merely invited to join the team, then the invite is removed instead.
2.19.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| membername | required | The username of the team member | path | string |
| orgname | required | The name of the organization | path | string |
| teamname | required | The name of the team | path | string |
2.19.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.3. put /api/v1/organization/{orgname}/team/{teamname}/members/{membername} リンクのコピーリンクがクリップボードにコピーされました!
2.19.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Adds or invites a member to an existing team.
2.19.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| membername | required | The username of the team member | path | string |
| orgname | required | The name of the organization | path | string |
| teamname | required | The name of the team | path | string |
2.19.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.4. get /api/v1/organization/{orgname}/team/{teamname}/members リンクのコピーリンクがクリップボードにコピーされました!
2.19.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Retrieve the list of members for the specified team.
2.19.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
| orgname | required | The name of the organization | path | string |
| teamname | required | The name of the team | path | string |
| includePending | true / false | Whether to include pending members | query | boolean |
2.19.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.5. delete /api/v1/organization/{orgname}/team/{teamname} リンクのコピーリンクがクリップボードにコピーされました!
2.19.5.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Delete the specified team.
2.19.5.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
| orgname | required | The name of the organization | path | string |
| teamname | required | The name of the team | path | string |
2.19.5.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.19.6. put /api/v1/organization/{orgname}/team/{teamname}/members/{membername} リンクのコピーリンクがクリップボードにコピーされました!
2.19.6.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Adds or invites a member to an existing team.
2.19.6.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| membername | required | The username of the team member | path | string |
| orgname | required | The name of the organization | path | string |
| teamname | required | The name of the team | path | string |
2.19.6.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20. trigger : Create, list and manage build triggers. リンクのコピーリンクがクリップボードにコピーされました!
2.20.1. post /api/v1/repository/{repository}/trigger/{trigger_uuid}/activate リンクのコピーリンクがクリップボードにコピーされました!
2.20.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Activate the specified build trigger.
2.20.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| trigger_uuid | required | The UUID of the build trigger | path |
|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.20.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20.2. get /api/v1/repository/{repository}/trigger/{trigger_uuid}/builds リンクのコピーリンクがクリップボードにコピーされました!
2.20.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the builds started by the specified trigger.
2.20.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| trigger_uuid | required | The UUID of the build trigger | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
| limit | The maximum number of builds to return | query | integer |
2.20.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20.3. post /api/v1/repository/{repository}/trigger/{trigger_uuid}/start リンクのコピーリンクがクリップボードにコピーされました!
2.20.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Manually start a build from the specified trigger.
2.20.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| trigger_uuid | required | The UUID of the build trigger | path |
|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.20.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20.4. get /api/v1/repository/{repository}/trigger/{trigger_uuid} リンクのコピーリンクがクリップボードにコピーされました!
2.20.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get information for the specified build trigger.
2.20.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| trigger_uuid | required | The UUID of the build trigger | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.20.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20.5. put /api/v1/repository/{repository}/trigger/{trigger_uuid} リンクのコピーリンクがクリップボードにコピーされました!
2.20.5.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Updates the specified build trigger.
2.20.5.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| trigger_uuid | required | The UUID of the build trigger | path |
|
| repository | required | The full path of the repository. e.g. namespace/name | path |
|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.20.5.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20.6. delete /api/v1/repository/{repository}/trigger/{trigger_uuid} リンクのコピーリンクがクリップボードにコピーされました!
2.20.6.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Delete the specified build trigger.
2.20.6.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| trigger_uuid | required | The UUID of the build trigger | path | string |
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.20.6.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.20.7. get /api/v1/repository/{repository}/trigger/ リンクのコピーリンクがクリップボードにコピーされました!
2.20.7.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List the triggers for the specified repository.
2.20.7.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository e.g. namespace/name | path | string |
2.20.7.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.21. user : Manage the current user. リンクのコピーリンクがクリップボードにコピーされました!
2.21.1. get /api/v1/user/starred リンクのコピーリンクがクリップボードにコピーされました!
2.21.1.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
List all starred repositories.
2.21.1.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| next_page | The page token for the next page | path | string |
2.21.1.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.21.2. post /api/v1/user/starred リンクのコピーリンクがクリップボードにコピーされました!
2.21.2.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Star a repository.
2.21.2.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| body | required (Parameter content type: application/json) | Request body contents. | body |
|
2.21.2.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 201 | Successful creation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.21.3. get /api/v1/user/ リンクのコピーリンクがクリップボードにコピーされました!
2.21.3.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get user information for the authenticated user.
2.21.3.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
No parameters
2.21.3.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.21.4. delete /api/v1/user/starred/{repository} リンクのコピーリンクがクリップボードにコピーされました!
2.21.4.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Removes a star from a repository.
2.21.4.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| repository | required | The full path of the repository. e.g. namespace/name | path | string |
2.21.4.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 204 | Deleted |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|
2.21.5. get /api/v1/users/{username} リンクのコピーリンクがクリップボードにコピーされました!
2.21.5.1. Implementation Notes リンクのコピーリンクがクリップボードにコピーされました!
Get user information for the specified user.
2.21.5.2. Parameters リンクのコピーリンクがクリップボードにコピーされました!
| Parameter | Value | Description | Parameter Type | Data Type |
|---|---|---|---|---|
| username | required | path | string |
2.21.5.3. Response Messages リンクのコピーリンクがクリップボードにコピーされました!
| HTTP Status Code | Reason | Response Model | Headers |
|---|---|---|---|
| 200 | Successful invocation |
| |
| 400 | Bad Request |
| |
| 401 | Session required |
| |
| 403 | Unauthorized access |
| |
| 404 | Not found |
|